Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 135917 - JAXB autocompletion doesn't work
JAXB autocompletion doesn't work
Status: VERIFIED FIXED
Product: webservices
Classification: Unclassified
Component: JAXB
6.x
All All
: P3 (vote)
: 6.x
Assigned To: _ gmpatil
issues@webservices
61fixes3-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-27 17:42 UTC by fkieviet
Modified: 2008-09-04 13:25 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Patch for release61_fixes branch (13.36 KB, text/plain)
2008-08-04 18:38 UTC, _ gmpatil
Details
Sources for changes files in patch for release61_fixes branch (21.52 KB, application/x-compressed)
2008-08-04 18:39 UTC, _ gmpatil
Details
Patch used to verify on top of 61fixes branch (325.82 KB, application/octet-stream)
2008-08-06 20:22 UTC, _ gmpatil
Details

Note You need to log in before you can comment on or make changes to this bug.
Description fkieviet 2008-05-27 17:42:32 UTC
Likely already reported: when running the jaxb wizard, the generated classes are not picked up when invoking auto
completion, or a search of classes in a dialog like "constructs jaxb object".
Comment 1 _ gmpatil 2008-08-04 18:29:37 UTC
I am able to simulate in NB 6.1, Working in trunk 6.5.

Attaching the patch which to fix in 6.1.
Comment 2 _ gmpatil 2008-08-04 18:38:19 UTC
Created attachment 66516 [details]
Patch for release61_fixes branch
Comment 3 _ gmpatil 2008-08-04 18:39:12 UTC
Created attachment 66517 [details]
Sources for changes files in patch for release61_fixes branch
Comment 4 _ gmpatil 2008-08-04 18:41:13 UTC
Marking as fixed in 6.5.
Comment 5 rbalada 2008-08-06 15:59:23 UTC
This issue did not meet the criteria for inclusion in NetBeans 6.1 Patch 3.
Comment 6 _ gmpatil 2008-08-06 20:22:31 UTC
Created attachment 66732 [details]
Patch used to verify on top of 61fixes branch
Comment 7 _ gmpatil 2008-08-06 20:27:32 UTC
Verified by copying the jar built using NB61 fixes branch to <NB61_Fixes_IDE>/java2/modules .
Comment 8 _ gmpatil 2008-08-06 21:20:41 UTC
Justification for inclusion in patch:
Code completion is important functionality for users using JAXB Wizard.
Changes reasonable safe, adding additional lookup Query class needed by Code completion infrastructure, and refreshing
FileSystem/FileObject after external process created the folder.
Comment 9 rbalada 2008-08-06 22:11:27 UTC
I've imported the attached changeset
http://www.netbeans.org/nonav/issues/showattachment.cgi/66516/hg-patch-nb-issue-135917.txt into release61_fixes
repository as http://hg.netbeans.org/release61_fixes/rev/c813dc0a67e6


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo